Package org.apache.sling.resourceresolver.impl.providers

# Enum ResourceProviderInfo.Mode

java.lang.Object
java.lang.Enum<ResourceProviderInfo.Mode>
org.apache.sling.resourceresolver.impl.providers.ResourceProviderInfo.Mode

All Implemented Interfaces:
  `Serializable`, `Comparable<ResourceProviderInfo.Mode>`

Enclosing class:
  ResourceProviderInfo

public static enum ResourceProviderInfo.Mode extends Enum<ResourceProviderInfo.Mode>

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`OVERLAY`
`PASSTHROUGH`

## Method Summary

Modifier and Type
Method
Description
`static ResourceProviderInfo.Mode`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ResourceProviderInfo.Mode[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### OVERLAY

public static final ResourceProviderInfo.Mode OVERLAY

### PASSTHROUGH

public static final ResourceProviderInfo.Mode PASSTHROUGH

## Method Details

### values

public static ResourceProviderInfo.Mode[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ResourceProviderInfo.Mode valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null